Bug 1089846 - [GSS] (6.3.0) All methods in ClientSessionImpl which implement XAResource can potentially throw a non-XAException to the TM
Summary: [GSS] (6.3.0) All methods in ClientSessionImpl which implement XAResource can...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1064596 1084639 1088606
TreeView+ depends on / blocked
 
Reported: 2014-04-22 04:47 UTC by Jimmy Wilson
Modified: 2014-08-06 14:35 UTC (History)
5 users (show)

(edit)
In previous versions of EAP 6, if an XA transaction involving HornetQ timed out, it was possible that HornetQ might throw a `non-XAException` to the Transaction Manager. 

The issue was identified in the implementation of 
`javax.transaction.xa.XAResource`, and has been resolved in this release.
Clone Of: 1088606
(edit)
Last Closed: 2014-08-06 14:35:05 UTC


Attachments (Terms of Use)

Description Jimmy Wilson 2014-04-22 04:47:51 UTC
+++ This bug was initially created as a clone of Bug #1088606 +++

Comment 2 Kabir Khan 2014-07-01 14:28:08 UTC
Should be fixed by upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1064596 for DR2

Comment 3 Martin Svehla 2014-07-02 08:24:35 UTC
Verified in EAP 6.3.0.ER7 / HornetQ 2.3.19.Final


Note You need to log in before you can comment on or make changes to this bug.